@import 'normalize.css';

/* @import url('https://fonts.googleapis.com/css?family=Amatic+SC:700|Raleway:100,400&display=swap'); */
@import url('https://fonts.googleapis.com/css?family=Raleway:100,400&display=swap'); 
@font-face {
    font-family: 'Amatic SC';
    src: url('../fonts/AmaticSC-Bold.eot');
    src: local('Amatic SC Bold'), local('AmaticSC-Bold'),
        url('../fonts/.eot?#iefix') format('embedded-opentype'),
        url('../fonts/AmaticSC-Bold.woff2') format('woff2'),
        url('../fonts/AmaticSC-Bold.woff') format('woff'),
        url('../fonts/AmaticSC-Bold.ttf') format('truetype'),
        url('../fonts/AmaticSC-Bold.svg#AmaticSC-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
}

/* --- GENERAL---  */

html {
	scroll-behavior: smooth;
}

body {
    font-family: 'Raleway', Arial, Helvetica, sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: black;
    background-color: silver;
    display: flex;
    flex-direction: column;
}
main {
    background-color: white;
}
footer {
    background-color: #3279fc;
}
h1, h2, .box, #logo_header {
    font-family: 'Amatic SC', 'Courier New', Courier,  cursive;
    text-transform: uppercase;
}
h2 {
    font-size: 27px;
    text-align: center;
    color: #3279fc;
    margin: 0;
}

/* --- HEADER --- */


header {
    display: flex;
    width: 100%;
    background: white;
    flex-direction: column;

}
nav > ul {
    display: flex;
    max-width: 850px;
    padding:0;
}

#logo_header {
    font-size: 40px;
}

nav{
    width: 100%;
    background-color: white;
    position: fixed;
    box-shadow: 0px 0px 8px -1px rgba(0,0,0,0.63);
    display: flex;
    justify-content: center;
}

nav > ul {
    display: flex;
    list-style-type: none;
    justify-content: space-evenly;
    align-items: center;
}

nav ul li {
    margin: 0 10px;
}

a.menu {
    text-decoration: none;
    text-transform: uppercase;
    color: #666699;
}

a.menu:hover {
    color: #3279fc;
}

a.link_paragraph {
    color: #3279fc;
    text-decoration: none;
}

a.link_paragraph:hover {
    color: black;
    text-decoration: underline;
}


#back_image {
    background-image: url(/assets/images/header-image.jpg);
    background-size: cover;
}

.composer_title {
    margin-top: 75px;
    width: 100%;
    height: 40vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    text-shadow: 1px 1px 10px  rgba(255,255,255,0.9);

}

.composer_title > h1 {
    font-size: 78px;
    font-weight: 100;
    color: #3279fc;
    line-height: .85;
    margin: 0;
    animation: animation_h1 2s ease-in-out;
}
.composer_title > h1> span {
    display: block;
}

.title_experience {
    font-family: 'Raleway', sans-serif;
    font-size: 38px;
    color: #fff;
    margin: 0;
}




/*--- MAIN ---*/

#the_experience {
    background-image: url(/assets/images/mountain1.jpg);
    background-size: cover;
    background-position: center bottom;
    background-repeat: no-repeat;
    line-height: 1.8;
    padding: 55px 0;
}

section {
    display: flex;
    flex-direction: column;
    align-items: center;
}

section > p {
    max-width: 850px;
}



#the_activities-banners {
    padding: 85px 0 85px 0;
    border-top: 1px solid whitesmoke;
}

#boxes {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
}

.box {
    width: 160px;
    height: 140px;
    font-size: 27px;
    background-color: #3279fc;
    color: white;
    margin: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #3279fc;
    transition: background-color .75s ;
    cursor: pointer;
}
.box:hover{
    background-color: #81c784;
}

.logo_change-color {
    color: #3279fc !important;
    animation: animation_logo_color  20s ease-in-out infinite;
}


/* FOOTER */

footer {
    color: white;
    padding: 20px;
    text-align: center;
}

/* MEDIA */
@media screen and (max-width:870px) {

    section > p {
        max-width: 750px;
    }
}

@media screen and (max-width:768px) {

    section > p {
        max-width: 600px;
    }
}

@media screen and (max-width:700px) {

    
    header, nav ul {
        flex-direction: column;
    }
    nav{
        position: relative;
        z-index: 0;
        box-shadow: 0px 0px 8px -1px rgba(0,0,0,0.63);
    } 
    nav ul {
        align-items: flex-start;
    }
    li {
        padding-bottom: 10px;
    }
    #logo_header {
        order: -1;
    }
    h1 {
        transform: translateY(0%);
        animation: animation_h1 3s;

    }
    .composer_title {
        margin-top: 0px;
    }
    .box {
        width: 100%;
        margin: 4px 0;
    }
    section > p {
        max-width: 550px;
    }
    
    #the_activities-banners {
        align-items: normal;
    }
}

@media screen and (max-width:414px) {

    section > p {
        max-width: 330px;
    }
}
@media screen and (max-width:320px) {

    section > p {
        max-width: 260px;
    }
    
    .title_experience {
        font-size: 38px;
    }

}




/* KEYFRAMES */


    
@keyframes animation_h1 {
    0% {
        transform: translateY(-50%);
        opacity: 0;
    }
    100% {
        transform: translateY(0%);
        opacity: 1;
    }
  }

@keyframes animation_logo_color {
    0%, 25%, 100% {color: #3279fc;}
    30% {color: #26c6da;}
    50% {color: #d4e157;}
    75% {color: #ffca28;}
  }

@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}
}